package com.smppw.analysis.infrastructure.persistence;

import com.smppw.analysis.domain.entity.FundPositionBaseInfoDO;
import com.smppw.analysis.domain.entity.FundPositionDetailDO;
import com.smppw.analysis.domain.entity.PubliclyFundHolderInfoDO;
import com.smppw.analysis.domain.entity.PubliclyFundStockChangeDO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author wangzaijun
 * @date 2023/6/9 10:11
 * @description 公募基金信息mapper
 */
@Repository
public interface PubliclyFundExtInfoMapper {
    List<FundPositionDetailDO> queryPositionDetails(String fundId);

    List<FundPositionBaseInfoDO> queryPositionBaseInfos(@Param("fundId") String fundId, @Param("startDate") String startDate, @Param("endDate") String endDate);

    List<PubliclyFundHolderInfoDO> mfHolderInfoList(@Param("fundId") String fundId, @Param("startDate") String startDate, @Param("endDate") String endDate);

    List<PubliclyFundStockChangeDO> mfStockChangeList(@Param("fundId") String fundId, @Param("startDate") String startDate, @Param("endDate") String endDate);
}